Create visualization
- Base URL
-
https://{kibana_url}
- POST /api/visualizations
Creates a Lens visualization and saves it to the library.
ES|QL visualizations cannot be created through this endpoint.
Authentication
Authorization: <value>
These APIs use key-based authentication. You must create an API key and use the encoded value in the request header. For example: Authorization: ApiKey base64AccessApiKey
Authorization: Basic <credentials>
Request body
-
breakdown_byunion anyOf - Any of:
-
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
formatunion anyOf -
Number display format for the dimension value.
- Any of:
-
compactboolean -
When
true, uses short unit suffixes (for example,msinstead ofMilliseconds). Defaults totrue. Ignored forauto-approximate. -
fromenumrequired -
Source time unit of the raw field value, including fine-grained units (
ps,ns,us) in addition to standard units. This describes how the stored data is encoded, not a query duration literal. -
Values:
psnsusmssminhdwmoy -
rank_byunion anyOf - Any of:
-
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricsunion anyOf[] · min items: 1 · max items: 2required -
Metric dimensions to display. The first must be a primary metric; an optional second must be a secondary metric.
- Any of:
-
apply_color_toenum -
Color target:
valuecolors the metric text,backgroundcolors the cell or panel background. -
Values:
valuebackground -
background_chartunion anyOf -
Secondary visualization displayed behind the primary metric value, either a bar chart (with optional max value) or a trend line.
- Any of:
-
max_valueunion anyOfrequired -
Metric dimension configuration, supporting field-based aggregations (count, sum, average, median, standard deviation, unique count, last value), percentile operations, time-series operations (differences, moving average, cumulative sum, counter rate), and mathematical formulas.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
ofunion anyOfrequired - Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
fieldstring -
Field to cumulatively sum. When omitted, cumulative sum is applied to the count of records.
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
-
stylingobject -
Visual chart styling options
-
densityenum · default: default -
Density preset for the metric chart layout. Use
compactfor a compact layout, ordefaultfor increased padding, element spacing, and font size. -
Values:
compactdefault -
primaryobject -
positionenum · default: bottom -
Position of the primary metric value (top, middle, or bottom).
-
Values:
topmiddlebottom -
valueobject -
Primary metric value configuration
-
alignmentenum · default: right -
Alignment for the primary metric value. Accepted values:
left,center,right. Defaults toright. -
Values:
leftcenterright -
sizingenum · default: auto -
Controls how the primary value text is sized within the panel. 'auto' selects a font size from predefined breakpoints based on panel height, then shrinks if the text overflows horizontally. 'fill' scales the text to be as large as possible, filling all available space.
-
Values:
autofill
Number or percentage format with optional decimal places, suffix, and compact notation.
Data size format in bits or bytes, with optional decimal places and suffix.
Duration format between time units.
Terms ranked alphabetically.
Terms ranked by rarity.
Terms ranked by a linked metric.
Terms ranked by custom operation.
Terms ranked by count, either of all documents or of a specific field.
Terms ranked by a percentile of a numeric field, for example the 95th percentile of response time.
Terms ranked by the percentile rank of a single value: the proportion of field values at or below that value.
type: data_view_reference
type: data_view_spec
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricunion anyOfrequired - Any of:
-
apply_color_toenum -
Color target:
valuecolors the metric text,backgroundcolors the cell or panel background. -
Values:
valuebackground -
colorunion anyOf · default: { "type": "auto" } -
Color configuration based on the metric value.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
apply_color_toenum -
Color target:
valuecolors the metric text,backgroundcolors the cell or panel background. -
Values:
valuebackground -
colorunion anyOf · default: { "type": "auto" } -
Color configuration based on the metric value.
-
Same options as
colorinCount Metric Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
apply_color_toenum -
Color target:
valuecolors the metric text,backgroundcolors the cell or panel background. -
Values:
valuebackground -
colorunion anyOf · default: { "type": "auto" } -
Color configuration based on the metric value.
-
Same options as
colorinCount Metric Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
apply_color_toenum -
Color target:
valuecolors the metric text,backgroundcolors the cell or panel background. -
Values:
valuebackground -
colorunion anyOf · default: { "type": "auto" } -
Color configuration based on the metric value.
-
Same options as
colorinCount Metric Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
apply_color_toenum -
Color target:
valuecolors the metric text,backgroundcolors the cell or panel background. -
Values:
valuebackground -
colorunion anyOf · default: { "type": "auto" } -
Color configuration based on the metric value.
-
Same options as
colorinCount Metric Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
apply_color_toenum -
Color target:
valuecolors the metric text,backgroundcolors the cell or panel background. -
Values:
valuebackground -
colorunion anyOf · default: { "type": "auto" } -
Color configuration based on the metric value.
-
Same options as
colorinCount Metric Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
apply_color_toenum -
Color target:
valuecolors the metric text,backgroundcolors the cell or panel background. -
Values:
valuebackground -
colorunion anyOf · default: { "type": "auto" } -
Color configuration based on the metric value.
-
Same options as
colorinCount Metric Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
apply_color_toenum -
Color target:
valuecolors the metric text,backgroundcolors the cell or panel background. -
Values:
valuebackground -
colorunion anyOf · default: { "type": "auto" } -
Color configuration based on the metric value.
-
Same options as
colorinCount Metric Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
type: data_view_reference
type: data_view_spec
Color by absolute value configuration
Color by value using a palette, with colors distributed across the range of values.
Legacy color by absolute value configuration
-
axisobject -
Axis configuration for X, Y, and Y2 axes. The Y axis is on the start (leading) side, the Y2 axis is on the end (trailing) side.
-
xobject -
X-axis configuration
-
yobject -
Y-axis configuration with scale and bounds. The axis position is determined by the key: y renders on the start side (left in vertical charts), y2 on the end side (right in vertical charts).
-
domainunion oneOf · default: { "rounding": true, "type": "full" } -
Y-axis domain configuration
-
One of:
(determined by
type) -
y2object -
Y-axis configuration with scale and bounds. The axis position is determined by the key: y renders on the start side (left in vertical charts), y2 on the end side (right in vertical charts).
-
domainunion oneOf · default: { "rounding": true, "type": "full" } -
Y-axis domain configuration
-
One of:
(determined by
type) -
layersunion anyOf[] · min items: 1 · max items: 100required -
Chart layers
- Any of:
-
breakdown_byunion anyOf - Any of:
-
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
- Any of:
-
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
rank_byunion anyOf -
Same options as
rank_byinTerms Operation -
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
-
typeenumrequired -
Chart type for the data layer
-
Values:
areaarea_percentagearea_stackedbarbar_horizontalbar_horizontal_stackedbar_horizontal_percentagebar_percentagebar_stackedline -
xunion anyOf - Any of:
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
-
thresholdsunion anyOf[] · min items: 1 · max items: 100required -
Array of reference line thresholds
- Any of:
-
data_sourceunion oneOf -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
eventsunion anyOf[] · min items: 1 · max items: 100required -
Array of annotation configurations
- Any of:
-
legendunion anyOf -
Legend configuration for XY chart
- Any of:
-
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
stylingobject -
Visual styling options for the chart
type: full
Uses the full chart domain, including baseline expansion when applicable (for example, includes zero for bar-like series).
type: fit
Uses tight domain bounds from the observed data minimum to maximum, without baseline expansion.
type: custom
Uses explicitly provided domain bounds (min and max).
type: full
Uses the full chart domain, including baseline expansion when applicable (for example, includes zero for bar-like series).
type: fit
Uses tight domain bounds from the observed data minimum to maximum, without baseline expansion.
type: custom
Uses explicitly provided domain bounds (min and max).
Data layer for standard queries with metrics and buckets
Palette color assignment for specific categorical values. Unmapped values receive the unassigned color.
Gradient color mapping across categorical values.
type: data_view_reference
type: data_view_spec
Reference line layer for standard queries
type: data_view_reference
type: data_view_spec
Layer containing annotations (query-based, points, and ranges)
type: data_view_reference
type: data_view_spec
Annotation from query results matching a filter
Manual point annotation at specific timestamp
Manual range annotation spanning time interval
Outside legend positioned horizontal (top/bottom) of the chart
Outside legend positioned vertical (left/right) of the chart
Inside legend
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricunion anyOfrequired - Any of:
-
goalunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
- Any of:
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
maxunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
minunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
goalunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
maxunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
minunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
goalunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
maxunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
minunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
goalunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
maxunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
minunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
goalunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
maxunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
minunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
goalunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
maxunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
minunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
goalunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
maxunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
minunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
-
Same options as
goalinCount Metric Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
goalunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
- Any of:
-
maxunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
- Any of:
-
minunion anyOf -
Metric dimension using a field-based aggregation, a static value, or a mathematical formula.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
type: data_view_reference
type: data_view_spec
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricunion anyOfrequired - Any of:
-
colorunion anyOf · default: { "type": "auto" } -
Color scale configuration for the heatmap cells.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
colorunion anyOf · default: { "type": "auto" } -
Color scale configuration for the heatmap cells.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
colorunion anyOf · default: { "type": "auto" } -
Color scale configuration for the heatmap cells.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
colorunion anyOf · default: { "type": "auto" } -
Color scale configuration for the heatmap cells.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
colorunion anyOf · default: { "type": "auto" } -
Color scale configuration for the heatmap cells.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
colorunion anyOf · default: { "type": "auto" } -
Color scale configuration for the heatmap cells.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
colorunion anyOf · default: { "type": "auto" } -
Color scale configuration for the heatmap cells.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
colorunion anyOf · default: { "type": "auto" } -
Color scale configuration for the heatmap cells.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
ofunion anyOfrequired -
Same options as
ofinDifferences Operation -
colorunion anyOf · default: { "type": "auto" } -
Color scale configuration for the heatmap cells.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
ofunion anyOfrequired -
Same options as
ofinDifferences Operation -
colorunion anyOf · default: { "type": "auto" } -
Color scale configuration for the heatmap cells.
- Any of:
-
fieldstring -
Field to cumulatively sum. When omitted, cumulative sum is applied to the count of records.
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
colorunion anyOf · default: { "type": "auto" } -
Color scale configuration for the heatmap cells.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
colorunion anyOf · default: { "type": "auto" } -
Color scale configuration for the heatmap cells.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
-
titlestring -
The title of the chart displayed in the panel. Optional. Any string value or undefined.
-
xunion anyOfrequired -
Breakdown dimension configuration using date histogram, terms, numeric histogram, value ranges, or custom filters.
-
Same options as
xinLayer (DSL) -
yunion anyOf -
Breakdown dimension configuration using date histogram, terms, numeric histogram, value ranges, or custom filters.
-
Same options as
xinLayer (DSL)
type: data_view_reference
type: data_view_spec
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricunion anyOfrequired - Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
fieldstring -
Field to cumulatively sum. When omitted, cumulative sum is applied to the count of records.
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
-
tag_byunion anyOfrequired - Any of:
-
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
rank_byunion anyOf -
Same options as
rank_byinTerms Operation -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation
type: data_view_reference
type: data_view_spec
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricunion anyOfrequired -
Metric dimension using a field-based aggregation or a mathematical formula.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
regionunion anyOfrequired - Any of:
type: data_view_reference
type: data_view_spec
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricsunion anyOf[] · min items: 1 · max items: 1000required -
Array of metrics to display as columns in the datatable
- Any of:
-
apply_color_toenum -
Column color target:
valuefor cell text,backgroundfor cell background, orbadgefor a badge overlay. -
Values:
valuebackgroundbadge -
colorunion anyOf · default: { "type": "auto" } -
Color configuration for datatable metrics. Use dynamic coloring for numeric data and categorical/gradient mode for categorical data.
- Any of:
-
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
rowsunion anyOf[] · min items: 1 · max items: 50 -
Array of operations to split the datatable rows by
- Any of:
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
-
split_metrics_byunion anyOf[] · min items: 1 · max items: 20 -
Array of operations to split the metric columns by
-
Same options as
xinLayer (DSL) -
stylingobject -
Visual chart styling options
type: data_view_reference
type: data_view_spec
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
group_byunion anyOf[] · min items: 1 · max items: 100 -
Array of breakdown dimensions (minimum 1)
- Any of:
-
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricsunion anyOf[] · min items: 1 · max items: 100required -
Array of metric configurations (minimum 1)
- Any of:
-
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
type: data_view_reference
type: data_view_spec
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
group_breakdown_byunion anyOf[] · min items: 1 · max items: 100 -
Array of group breakdown dimensions (minimum 1)
- Any of:
-
group_byunion anyOf[] · min items: 1 · max items: 100 -
Array of breakdown dimensions (minimum 1)
- Any of:
-
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricunion anyOfrequired -
Same options as
metricinTag Cloud Chart (library) -
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
type: data_view_reference
type: data_view_spec
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
group_byunion anyOf[] · min items: 1 · max items: 100 -
Array of breakdown dimensions (minimum 1)
- Any of:
-
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricsunion anyOf[] · min items: 1 · max items: 100required -
Array of metric configurations (minimum 1)
- Any of:
-
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
type: data_view_reference
type: data_view_spec
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
group_byunion anyOf[] · min items: 1 · max items: 100 -
Array of breakdown dimensions (minimum 1)
- Any of:
-
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricsunion anyOf[] · min items: 1 · max items: 100required -
Array of metric configurations (minimum 1)
- Any of:
-
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
type: data_view_reference
type: data_view_spec
Responses
Created
-
dataunion anyOfrequired - Any of:
-
breakdown_byunion anyOf -
Same options as
breakdown_byinMetric Chart (library) -
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricsunion anyOf[] · min items: 1 · max items: 2required -
Metric dimensions to display. The first must be a primary metric; an optional second must be a secondary metric.
-
Same options as
metricsinMetric Chart (library) -
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricunion anyOfrequired -
Same options as
metricinLegacy Metric Chart (library) -
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
axisobject -
Axis configuration for X, Y, and Y2 axes. The Y axis is on the start (leading) side, the Y2 axis is on the end (trailing) side.
-
Same fields as
axisinXY Chart (library) -
layersunion anyOf[] · min items: 1 · max items: 100required -
Chart layers
-
Same options as
layersinXY Chart (library) -
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricunion anyOfrequired -
Same options as
metricinGauge Chart (library) -
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricunion anyOfrequired -
Same options as
metricinHeatmap Chart (library) -
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
-
titlestring -
The title of the chart displayed in the panel. Optional. Any string value or undefined.
-
xunion anyOfrequired -
Breakdown dimension configuration using date histogram, terms, numeric histogram, value ranges, or custom filters.
-
Same options as
xinLayer (DSL) -
yunion anyOf -
Breakdown dimension configuration using date histogram, terms, numeric histogram, value ranges, or custom filters.
-
Same options as
xinLayer (DSL) -
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricunion anyOfrequired -
Same options as
metricinTag Cloud Chart (library) -
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
-
tag_byunion anyOfrequired -
Same options as
tag_byinTag Cloud Chart (library) -
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricunion anyOfrequired -
Metric dimension using a field-based aggregation or a mathematical formula.
- Any of:
-
filterobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
formatunion anyOf -
Number display format for the dimension value.
-
Same options as
formatinTerms Operation -
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
regionunion anyOfrequired -
Same options as
regioninRegion Map Chart (library) -
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricsunion anyOf[] · min items: 1 · max items: 1000required -
Array of metrics to display as columns in the datatable
- Any of:
-
apply_color_toenum -
Column color target:
valuefor cell text,backgroundfor cell background, orbadgefor a badge overlay. -
Values:
valuebackgroundbadge -
colorunion anyOf · default: { "type": "auto" } -
Color configuration for datatable metrics. Use dynamic coloring for numeric data and categorical/gradient mode for categorical data.
- Any of:
-
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
rowsunion anyOf[] · min items: 1 · max items: 50 -
Array of operations to split the datatable rows by
- Any of:
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
-
split_metrics_byunion anyOf[] · min items: 1 · max items: 20 -
Array of operations to split the metric columns by
-
Same options as
xinLayer (DSL) -
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
group_byunion anyOf[] · min items: 1 · max items: 100 -
Array of breakdown dimensions (minimum 1)
- Any of:
-
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricsunion anyOf[] · min items: 1 · max items: 100required -
Array of metric configurations (minimum 1)
- Any of:
-
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
group_breakdown_byunion anyOf[] · min items: 1 · max items: 100 -
Array of group breakdown dimensions (minimum 1)
- Any of:
-
group_byunion anyOf[] · min items: 1 · max items: 100 -
Array of breakdown dimensions (minimum 1)
- Any of:
-
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricunion anyOfrequired -
Same options as
metricinTag Cloud Chart (library) -
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
group_byunion anyOf[] · min items: 1 · max items: 100 -
Array of breakdown dimensions (minimum 1)
- Any of:
-
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricsunion anyOf[] · min items: 1 · max items: 100required -
Array of metric configurations (minimum 1)
- Any of:
-
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
-
data_sourceunion oneOfrequired -
One of:
(determined by
type) -
field_filtersstring[] · max items: 10000 -
Field filters can be used to exclude one or more fields when fetching a document. They may contain wildcards, such as
user*which filters fields starting with 'user'. -
index_patternstring · min length: 1required -
The index pattern (Elasticsearch index expression) to use as the data source. Example: "my-index-*".
-
group_byunion anyOf[] · min items: 1 · max items: 100 -
Array of breakdown dimensions (minimum 1)
- Any of:
-
collapse_byunion anyOf -
Aggregation function used to collapse a breakdown dimension into a single value.
-
Values:
avgsummaxmin -
colorunion anyOf · default: { "mapping": [], "mode": "categorical", "palette": "default" } -
Color mapping for dimension values, either categorical (for specific values) or as a gradient.
-
Same options as
colorinDate Histogram Operation -
ignore_global_filtersboolean · default: false -
When
true, ignores global filters when fetching data for this layer. Defaults tofalse. -
metricsunion anyOf[] · min items: 1 · max items: 100required -
Array of metric configurations (minimum 1)
- Any of:
-
queryobject -
A KQL or Lucene query that filters panel data. Applied on top of any dashboard-level filters.
-
samplingnumber · min: 0 · max: 1 · default: 1 -
Sampling factor between 0 (no sampling) and 1 (full sampling).
type: data_view_reference
type: data_view_spec
type: data_view_reference
type: data_view_spec
type: data_view_reference
type: data_view_spec
type: data_view_reference
type: data_view_spec
type: data_view_reference
type: data_view_spec
type: data_view_reference
type: data_view_spec
type: data_view_reference
type: data_view_spec
type: data_view_reference
type: data_view_spec
type: data_view_reference
type: data_view_spec
type: data_view_reference
type: data_view_spec
type: data_view_reference
type: data_view_spec
Malformed request
Unauthorized
Forbidden
Internal Server Error